package com.wms_main.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.wms_main.constant.enums.wms.OrderStatusEnum;
import com.wms_main.model.po.TAppOrderIn;

import java.util.List;

public interface ITAppOrderInService extends IService<TAppOrderIn> {

    List<TAppOrderIn> getWithOrderId(String orderId);

    List<TAppOrderIn> getWithVehicleNoAndStatus(String vehicleNo, OrderStatusEnum status);

    boolean updateStatusAndDestinationWithVehicleNo(String vehicleNo, OrderStatusEnum status, String destination);
}
